%global pypi_name sslyze

Name:       python-%{pypi_name}
Version:    5.0.5
Release:    %mkrel 1
Summary:    Fast and powerful SSL/TLS scanning library
Group:      Development/Python
License:    AGPL
URL:        https://pypi.org/project/sslyze
Source0:    %{pypi_source}
Patch0:     sslyze-5.0.5-remove-upper-bound-version-dependencies.patch
BuildArch:  noarch
ExcludeArch: aarch64

%description
SSLyze is a fast and powerful SSL/TLS scanning library.

It allows you to analyze the SSL/TLS configuration of a server by connecting
to it, in order to detect various issues (bad certificate, weak cipher suites,
Heartbleed, ROBOT, TLS 1.3 support, etc.).

SSLyze can either be used as command line tool or as a Python library.

%package -n python3-%{pypi_name}
Summary:        Fast and powerful SSL/TLS scanning library
Group:          Development/Python
BuildRequires:  pkgconfig(python3)
BuildRequires:  python3dist(setuptools)
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pypi_name}
SSLyze is a fast and powerful SSL/TLS scanning library.

It allows you to analyze the SSL/TLS configuration of a server by connecting
to it, in order to detect various issues (bad certificate, weak cipher suites,
Heartbleed, ROBOT, TLS 1.3 support, etc.).

SSLyze can either be used as command line tool or as a Python library.

%prep
%setup -q -n %{pypi_name}-%{version}
%patch0 -p1

%build
%py3_build

%install
%py3_install

%files -n python3-%{pypi_name}
%doc LICENSE.txt README.md
%{python3_sitelib}/%{pypi_name}/
%{python3_sitelib}/%{pypi_name}-%{version}-py%{python3_version}.egg-info/
%{_bindir}/sslyze



%changelog
* Sun Oct 09 2022 guillomovitch <guillomovitch> 5.0.5-1.mga9
+ Revision: 1895699
- new version 5.0.5

* Wed Mar 23 2022 umeabot <umeabot> 4.1.0-3.mga9
+ Revision: 1823242
- Mageia 9 Mass Rebuild

* Mon Feb 21 2022 mrambo3501 <mrambo3501> 4.1.0-2.mga9
+ Revision: 1782334
- rebuild for python-3.10

* Sun May 23 2021 guillomovitch <guillomovitch> 4.1.0-1.mga9
+ Revision: 1726152
- new version 4.1.0

* Sat Mar 20 2021 guillomovitch <guillomovitch> 4.0.4-2.mga9
+ Revision: 1706277
- fix dependencies

* Sat Mar 20 2021 guillomovitch <guillomovitch> 4.0.4-1.mga9
+ Revision: 1705084
- new version 4.0.4

* Mon Jan 18 2021 guillomovitch <guillomovitch> 3.1.0-2.mga8
+ Revision: 1672439
- python-nassl depency is not available on aarch64

* Sun Dec 06 2020 guillomovitch <guillomovitch> 3.1.0-1.mga8
+ Revision: 1653568
- new version 3.1.0

* Tue Oct 27 2020 guillomovitch <guillomovitch> 3.0.8-1.mga8
+ Revision: 1639837
- imported package python-sslyze

